Bug 184001 - Immediate SEGV on startup
Immediate SEGV on startup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: regexxer (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On: 184038
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 17:01 EST by Denis Leroy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.8-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-11 15:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2006-03-04 17:01:26 EST
#0  0x039f04bd in sigc::signal_base::impl () from /usr/lib/libsigc-2.0.so.0
#1  0x039f05e5 in sigc::signal_base::connect () from /usr/lib/libsigc-2.0.so.0
#2  0x080772c6 in Regexxer::MainWindow::connect_signals (this=0xbfd15c2c) at
/usr/include/sigc++-2.0/sigc++/signal.h:1690
#3  0x08078c83 in MainWindow (this=0xbfd15c2c) at mainwindow.cc:155
#4  0x08072a83 in main (argc=134785632, argv=0x9c56cd8) at main.cc:187
#5  0x00ab07e4 in __libc_start_main () from /lib/libc.so.6
#6  0x080584a1 in _start ()


Incompatibility with newer libsigc++ ? This was from a freshly compiled regexxer
with all the sigc++/gtkmm updates.
Comment 1 Christoph Wickert 2006-03-04 17:17:37 EST
What locales are you using? Maybe you are hitting
http://sourceforge.net/tracker/index.php?func=detail&aid=1363818&group_id=64876&atid=508980
Comment 2 Denis Leroy 2006-03-04 17:44:10 EST
I'm pretty ignorant about locales to be honest, but let's just say i didn't do
anything special or unusual wrt to locales. This is a standard FC5 system set
with 'English (USA)'. Mind you, this is FC5 as Guest OS under VMWare, but I know
for a fact regexxer used to work just fine this way.

Let me know if you need more information, though you might have to be more
specific as i'm no locale expert :-(
Comment 3 Denis Leroy 2006-03-05 04:54:19 EST
Ok, this is a manifestation of this libglade bug :

http://bugzilla.gnome.org/show_bug.cgi?id=328443

To fix, compile regexxer with the flags '-Wl,--export-dynamic' and it'll be
happy again.
Comment 4 Christoph Wickert 2006-03-05 11:32:23 EST
0.8-4 Should be out in a few days, in the meantime you can test one of the
packages from

http://home.arcor.de/christoph.wickert/fedora/extras/

Note: These are no official FE packages and they are not signed.
Comment 5 Christoph Wickert 2006-03-05 11:44:46 EST
ATM 8.0-4 packages can be found at

http://buildsys.fedoraproject.org/logs/fedora-development-extras/5888-regexxer-0.8-4.fc5/

(not signed yet)
Comment 6 Christoph Wickert 2006-03-11 08:22:15 EST
Denis, clould you please confirm that 0.8-4 fixes your problem? If so, please
close this bug NEXTRELEASE.
Comment 7 Denis Leroy 2006-03-11 15:01:33 EST
Yup, this is fixed! :-)
Comment 8 Christoph Wickert 2006-03-11 17:51:35 EST
(In reply to comment #6)
> If so, please close this bug NEXTRELEASE.

Of course I meant CURRENTRELEASE. :(

Note You need to log in before you can comment on or make changes to this bug.